%define		major   11
%define		libname %mklibname %{name} %{major}
%define		devname %mklibname %{name} %{major} -d

#define         git 20200503
%define		rel 1

Name:		fmt
Version:	11.1.4
Release:	%mkrel %{?git:-c git%{git}} %{rel}
Summary:	Small, safe and fast formatting library
Group:		System/Libraries
License:	MIT
URL:		https://fmt.dev
Source0:	https://github.com/fmtlib/fmt/archive/%{?git:master/}%{?!git:%{version}/}%{name}-%{version}%{?git:-git%{git}}.tar.gz
BuildRequires:	cmake
BuildRequires:	ninja

%description
fmt is an open-source formatting library for C++. It can be used as a safe
alternative to printf or as a fast alternative to IOStreams.

%package -n	%{devname}
Summary:	Development files for libfmt
Group:		Development/C++
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel%{?_isa} = %{version}-%{release}
Provides:	%{name}%{major}-devel = %{version}-%{release}
Provides:	%{name}%{major}-devel%{?_isa} = %{version}-%{release}
Obsoletes:	%{_lib}fmt-devel < 11.0.2-2
Conflicts:	pkgconfig(fmt) < %{version}

%description -n	%{devname}
This package contains the development header files, libraries
and cmake files for libfmt

%package -n	%{libname}
Summary:	Small, safe and fast formatting library
Group:		System/Libraries

%description -n	%{libname}
fmt is an open-source formatting library for C++. It can be used as a safe
alternative to printf or as a fast alternative to IOStreams.

This package contains the library for libfmt.

%prep
%autosetup -n %{name}-%{?git:master}%{?!git:%{version}} -p1

%build
%cmake -G Ninja \
       -DCMAKE_POSITION_INDEPENDENT_CODE:BOOL=ON
%cmake_build

%install
%cmake_install

%files -n %{devname}
%{_includedir}/%{name}/
%{_libdir}/cmake/%{name}/
%{_libdir}/libfmt.so
%{_libdir}/pkgconfig/%{name}.pc

%files -n %{libname}
%license LICENSE
%doc ChangeLog.md README.md
%{_libdir}/libfmt.so.%{major}{,.*}


%changelog
* Thu Mar 06 2025 daviddavid <daviddavid> 11.1.4-1.mga10
+ Revision: 2161185
- new version: 11.1.4

* Sun Jan 26 2025 daviddavid <daviddavid> 11.1.3-1.mga10
+ Revision: 2142619
- new version: 11.1.3

* Sat Jan 25 2025 daviddavid <daviddavid> 11.1.2-1.mga10
+ Revision: 2142290
- new version: 11.1.2

* Sun Oct 06 2024 wally <wally> 11.0.2-3.mga10
+ Revision: 2103885
- update conflicts for older lib major version

* Sun Oct 06 2024 wally <wally> 11.0.2-2.mga10
+ Revision: 2103867
- add lib major to dev pkg name
- conflict with fmt9 and fmt8

* Tue Oct 01 2024 daviddavid <daviddavid> 11.0.2-1.mga10
+ Revision: 2102380
- new version: 11.0.2
- now libmajor is 11

* Thu Oct 06 2022 neoclust <neoclust> 9.1.0-1.mga9
+ Revision: 1895181
- New version 9.1.0

* Fri Apr 08 2022 wally <wally> 8.1.1-1.mga9
+ Revision: 1848123
- new version 8.1.1

* Thu Mar 17 2022 umeabot <umeabot> 8.0.1-2.mga9
+ Revision: 1796391
- Mageia 9 Mass Rebuild

* Sat Jul 03 2021 wally <wally> 8.0.1-1.mga9
+ Revision: 1734579
- new version 8.0.1

* Thu Jun 24 2021 wally <wally> 8.0.0-1.mga9
+ Revision: 1732116
- new version 8.0.0
- update url

* Wed Nov 25 2020 kekepower <kekepower> 7.1.3-1.mga8
+ Revision: 1649313
- Update to version 7.1.3

* Thu Nov 05 2020 kekepower <kekepower> 7.1.2-1.mga8
+ Revision: 1642938
- Update to version 7.1.2

* Mon Nov 02 2020 kekepower <kekepower> 7.1.1-1.mga8
+ Revision: 1641658
- Update to version 7.1.1

* Mon Oct 26 2020 kekepower <kekepower> 7.1.0-1.mga8
+ Revision: 1639732
- Update to version 7.1.0

* Sat Aug 08 2020 kekepower <kekepower> 7.0.3-1.mga8
+ Revision: 1611984
- Update to version 7.0.3

* Fri Jul 31 2020 kekepower <kekepower> 7.0.2-1.mga8
+ Revision: 1610017
- Update to version 7.0.2

* Wed Jul 08 2020 kekepower <kekepower> 7.0.1-1.mga8
+ Revision: 1603164
- Update to version 7.0.1

* Sun May 10 2020 kekepower <kekepower> 6.2.1-1.mga8
+ Revision: 1582787
- Update to version 6.2.1 final

* Mon May 04 2020 kekepower <kekepower> 6.2.1-0.git20200504.1.mga8
+ Revision: 1578692
- Update to version 6.2.1-git20200504

* Mon Apr 27 2020 kekepower <kekepower> 6.2.1-0.git20200426.1.mga8
+ Revision: 1572414
- Update to git snapshot 6.2.1 git20200426

* Fri Apr 17 2020 kekepower <kekepower> 6.2.1-0.git20200416.1.mga8
+ Revision: 1568459
- Update to version 6.2.1 snapshot git20200416

* Thu Apr 09 2020 kekepower <kekepower> 6.2.0-1.mga8
+ Revision: 1565898
- Update to version 6.2.0

* Sat Apr 04 2020 kekepower <kekepower> 6.1.2-1.mga8
+ Revision: 1564361
- Update to version 6.1.2

* Tue Feb 18 2020 daviddavid <daviddavid> 5.3.0-3.mga8
+ Revision: 1538725
- use new cmake macros
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Sat Nov 09 2019 zezinho <zezinho> 5.3.0-2.mga8
+ Revision: 1458900
- fix files list

* Sat Jul 06 2019 kekepower <kekepower> 5.3.0-1.mga8
+ Revision: 1419110
- Update to version 5.3.0
- libminor is now 3

* Mon Oct 15 2018 kekepower <kekepower> 5.2.1-1.mga7
+ Revision: 1320431
- Update to version 5.2.1

* Sun Sep 23 2018 umeabot <umeabot> 4.1.0-2.mga7
+ Revision: 1297735
- Mageia 7 Mass Rebuild

* Wed Jan 31 2018 kekepower <kekepower> 4.1.0-1.mga7
+ Revision: 1198207
- imported package fmt

